Subject: Re: bug#15398: 24.3; Frame redraw completely screwed

From: Jan Djärv <[email-masked]>
Date: Thu, 19 Sep 2013 18:41:50 +0200

Hello.

19 sep 2013 kl. 16:54 skrev Serge Kosyrev <[email-masked]>:

> Stefan Monnier <[email-masked]> writes:
>>> FWIW I see something similar on Debian 7.0.0 with GTK 3.4.2: Menu texts
>>> and tooltips don't disappear - they overlay the frame areas after the
>>> newlines of buffers and stay there even when scrolling.
> [...]
>> I think it's a very recent change.  Might be for example r114314
>> What happens if you undo this patch?  (quoted below)
>> +#if ! GTK_CHECK_VERSION (2, 7, 0)
>>           /* This seems to be needed for GTK 2.6.  */
>> 	  x_clear_area (event->xexpose.display,
>> 			event->xexpose.window,
> 
> Emacs (24.3) is linked to gtk3-3.8.4-1.fc19.x86_64 on my machine, indeed.

I don't recall all the details, but I think the comment actually means "for GTK 2.6 and newer".

	Jan D.